cURL
curl --request GET \ --url https://www.anyfast.ai/kling/v1/general/advanced-custom-elements/{task_id} \ --header 'Authorization: Bearer <token>'
{ "code": 0, "message": "SUCCEED", "request_id": "747654a5-4407-4da5-99a6-b80bebc8035c", "data": { "task_id": "863121016086724692", "task_status": "succeed", "task_result": { "elements": [ { "element_id": 863121023120580600, "element_name": "my-character", "element_description": "A protagonist character", "element_type": "image_refer", "element_image_list": { "frontal_image": "<string>", "refer_images": [ { "image_url": "<string>" } ] }, "owned_by": "<string>", "status": "succeed", "tag_list": [ { "id": "<string>", "name": "<string>", "description": "<string>" } ] } ] }, "task_status_msg": "", "created_at": 1773812605026, "updated_at": 1773812606753, "final_unit_deduction": "0" } }
Query the status and result of a custom element creation task by task_id.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Task ID returned from the create custom element endpoint.
"863121016086724692"
Task status retrieved successfully
0
"SUCCEED"
"747654a5-4407-4da5-99a6-b80bebc8035c"
Show child attributes